const getDefaultState = () => {
  return {
    lastViewportTaskId: null,
    currentTaskState: 0
  }
}
const state = getDefaultState

const mutations = {

}

const actions = {
  setLastViewportTaskId({ state }, id) {
    state.lastViewportTaskId = id
  },
  setCurrentTaskState({ state }, taskState) {
    state.currentTaskState = taskState
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

